<template>
  <div id="WordClassTable">
    <!-- :page.sync="paginate.page"
        :items-per-page="paginate.items_per_page"-->
    <v-data-table
      flat
      :headers="headers"
      :items="signs"
      item-key="id"
      hide-default-footer
      :no-data-text="$t('global.mensager.no_itens')"
    >
      <!-- Register -->
      <template v-slot:item.created_at="{ item }">
        <span class="system_grey_2--text body-2-signbank"> 00/00/0000 </span>
      </template>

      <!-- Status -->
      <template v-slot:item.status="{ item }">
        <!--Atived-->
        <v-chip color="success" outlined small>
          {{ $t("global.status.aproved") }}
        </v-chip>
      </template>

      <!-- Name -->
      <template v-slot:item.name="{ item }">
        <span class="system_grey_2--text body-2-signbank"> Lema </span>
      </template>

      <!-- Author -->
      <template v-slot:item.author="{ item }">
        <div class="py-2">
          <v-avatar size="30">
            <img src="https://cdn.vuetifyjs.com/images/john.jpg" alt="John" />
          </v-avatar>
          <span class="system_grey_2--text body-2-signbank"> José Lucas </span>
        </div>
      </template>

      <!--Responsible-->
      <template v-slot:item.responsible="{ item }">
        <div class="py-2">
          <v-avatar size="30">
            <img src="https://cdn.vuetifyjs.com/images/john.jpg" alt="John" />
          </v-avatar>
          <span class="system_grey_2--text body-2-signbank"> João Carlos </span>
        </div>
      </template>

      <!-- Action -->
      <template v-slot:item.actions="{ item }">
        <template class="py-5" justify="center">
          <!-- Sync -->
          <v-tooltip max-width="200px" bottom>
            <template v-slot:activator="{ on, attrs }">
              <v-btn
                icon
                small
                color="info"
                :to="
                  localePath(
                    '/dashboard/category-signs/edit/' + item.id,
                    $nuxt._i18n.locale
                  )
                "
                v-bind="attrs"
                v-on="on"
              >
                <v-icon small>mdi-sync</v-icon>
              </v-btn>
            </template>
            <span>
              {{ $t("buttons.edit") }}
            </span>
          </v-tooltip>

          <!-- Delete -->
          <v-tooltip max-width="200px" bottom>
            <template v-slot:activator="{ on, attrs }">
              <v-btn v-bind="attrs" v-on="on" icon small color="error" disabled>
                <v-icon small>mdi-delete</v-icon>
              </v-btn>
            </template>
            <span>
              {{ $t("buttons.delete") }}
            </span>
          </v-tooltip>
        </template>
      </template>
    </v-data-table>

    <!-- Footer/Pagination -->
    <slot name="footer"> </slot>
  </div>
</template>

<script>
export default {
  data() {
    return {
      signs: [{ name: "1" }, { name: "2" }],
      headers: [
        {
          text: this.$t("global.register"),
          value: "created_at",
          sortable: false,
          width: 80,
        },

        {
          text: this.$t("global.status.title"),
          value: "status",
          sortable: false,
          width: 120,
        },

        {
          text: this.$t("global.name"),
          value: "name",
          sortable: false,
          width: 120,
        },

        {
          text: this.$t("global.author"),
          value: "author",
          sortable: false,
          width: 180,
        },

        {
          text: this.$t("global.responsible"),
          value: "responsible",
          sortable: false,
        },

        {
          text: "",
          value: "actions",
          sortable: false,
          width: 100,
        },
      ],
    };
  },

  methods: {},
};
</script>

<style>
#WordClassTable .video-player-signs-container {
  width: 63px;
  height: 58px;
  position: relative;
}

#WordClassTable .content-to-open-modal {
  height: 58px;
  width: 63px;
  position: absolute;
  z-index: 99999;
}

#WordClassTable .v-data-table-header th {
  color: #868e96 !important;
  text-transform: uppercase;
}

#WordClassTable .v-data-table tbody {
  color: var(--system-grey-1) !important;
  font-size: var(--size-body-2) !important;
}

#WordClassTable .sign-image {
  width: 63px;
  height: 58px;
}

#WordClassTable .hand-sign-image {
  height: 32px;
  width: 32px;
}

#WordClassTable .aproved-by-image {
  height: 29px;
  width: 29px;
}

@media (max-width: 768px) {
  #WordClassTable .sign-image {
    width: 58px;
    height: 58px;
  }

  #WordClassTable .aproved-by-image {
    height: 42px;
    width: 62px;
  }
}

@media (max-width: 320px) {
  #WordClassTable .sign-image {
    width: 53px;
    height: 58px;
  }
}
</style>
